#include<bits/stdc++.h>

using namespace std;
int N,K,B,T,p,q,o1,o2;
string br;
int main(){
    cin>>T;
    br="";
    for(int i=1;i<=T;i++){
        cin>>N>>B>>K;
        p=N/K;
        q=N%K;
        o1=((p*(p+1))/2*(K-q));
        o2=(((p+1)*(p+2))/2)*q;
    if((B-(o1+o2))>=0){
        br="Tak";
    }
    else
        br="Nei";
    }
    cout<<br<<endl;
    return 0;
    }